EEPROM(8)

NAME
eeprom - display and modify OpenPROM options

SYNOPSIS
eeprom [ - ] [ -f device ] [ -d device ] [ parameter [ = value ] ] [ -h ]

DESCRIPTION
eeprom displays and/or modifies SPARC OpenPROM options.

eeprom is similar to Solaris eeprom program.

OPTIONS
Normally, unless -d option is given, eeprom takes a list of option names and/or pairs option = value If - is given on the command line, these names and option/value pairs are read from standard input, one per line. For each option name without = character, eeprom prints current setting of that option. With = character, eeprom sets the value of the specified option to the desired value (or if there is nothing after the = character, sets it to empty string). eeprom without arguments prints values of all the OpenPROM options.

-f device, --promdev device
    Use device instead of default /dev/openprom to read PROM device tree.

-d device, --device device
    Instead of dispaying and/or modifying PROM options, print the PROM path for a SCSI or IDE device given by its block device and exit. Example: eeprom -d /dev/hda1 will print PROM path you could use to boot hda1 bootblock. This is Linux extension.

-h, --help
    Show usage.

PROM OPTIONS
Following is a list of the usual OpenPROM options. Not all options may be available on your system.

auto-boot?
    boolean, true if system should automatically boot and not stay on PROM command line. Default is true.

ansi-terminal?
    boolean true if PROM console should interpret ANSI sequences as control characters, false if it should pass them on unmodified. Default is true.

boot-command
    PROM command to be issued when auto-boot? is true. Usually boot.

boot-device
    space separated lists of PROM device names or aliases of the devices PROM should try to boot from, in order given. Default is disk net.

boot-file
    image to boot from the device. If unset, boot loader will choose its default. Default is empty.

boot-from
    old PROM version of the above two variables. It should contain the optional old style PROM name and optional file to boot. Default is vmunix.

boot-from-diag
    like the above, but for diagnostic boots.

comX-noprobe
    disable device probe on serial port X.

diag-device
    like boot-device but for diagnostic boots. Defaults to net.

diag-file
    like boot-file but for diagnostic boots. Default is empty.

diag-level
    Diagnostic level such as off, min, max, menus.

diag-switch?
    boolean, true if PROM should run in diagnostic mode. Default is true.

input-device
    device which should be used for PROM input. It can be one of keyboard, ttya, ttyb. If keyboard is not probed in the system, it will default to ttya. Note that Linux does not support yet mixed input/output device, so you either have to use serial console for both input and output, or keyboard and framebuffer. Default is keyboard.

keyboard-click?
    boolean, true if keyboard click should be enabled. Defaults to false.

keymap
    custom keyboard map.

local-mac-address?
    boolean, true if MAC addresses are local to network adapters, otherwise they use system default from NVRAM. Default is false.

nvramrc
    forth script to be invoked on bootup if use-nvramrc? is true. Default is empty.

oem-banner
    string to be used instead of the standard PROM banner if oem-banner? is true. Default is empty.

oem-banner?
    boolean if OEM banner should be used. Default is false.

oem-logo
    black and white logo to be displayed instead of the standard one. Shown in hexadecimal, currently impossible to set with eeprom.

oem-logo?
    boolean if OEM logo should be used. Default is false.

output-device
    device which should be used for PROM output. It can be one of screen, ttya, ttyb. Note that Linux does not support yet mixed input/output device, so you either have to use serial console for both input and output, or keyboard and framebuffer. Default is screen.

sbus-probe-list
    string with digit for each sbus device which should be probed, the order of the digits is the order in which they are probed. Default is 0123.

screen-#columns
    number of screen columns. Default is 80.

screen-#rows
    number of lines on the screen. Default is 34.

scsi-initiator-id
    is SCSI initiator target id. Values 0-7. Default is 7.

sd-targets
    string for old PROM mapping between PROM notion of units and SCSI disk ids. Defaults to 31204567 which means SCSI target 3 will be unit 0, target 0 will be unit 3 and the rest will be identity mapped.

security-#badlogins
    number of unsuccessful attempts to enter PROM password.

security-mode
    Either none, command or full. None means password is never required, command means password will be required only if the user wants to enter some PROM command, with full password is required always, even to boot the machine. If changing security-mode from none to some other mode, the user will be asked for the password (similar to running eeprom security-password= ), but the security mode will be changed only if setting the password up succeeds.

security-password
    Password for the chosen security mode, will be never displayed, on setting it up the value is not used and the password is always read from the user.

selftest-#megs
    Number of megabytes of memory to test on bootup, ignored for diagnostic boots (where all memory is tested). Defaults to 1.

skip-vme-loopback?
    skips VME loopback tests. Defaults to false.

st-targets
    string for old PROM mapping between PROM notion of units and SCSI tape ids. Defaults to 45670123.

sunmon-compat?
    for compatibility, display restricted monitor prompt on newer PROMs. Defaults to false.

tpe-link-test?
    boolean if 10BaseT link test should be done. Defaults to true.

ttya-mode
    mode for ttya serial line. Comma separated list of baud rate (1200, 4800, 9600, ...), data bits (5-8), parity (none, even, odd, mark, space), stopbits (1, 1.5, 2) and handshaking (- for none, hardware RTS/CTS, software XON/XOFF). Defaults to 9600,8,n,1,-.

ttyb-mode
    like ttya-mode but for ttyb serial line.

ttya-ignore-cd
    boolean if carrier detect should be ignored on ttya serial line. Defaults to true.

ttyb-ignore-cd
    likewise.

ttya-rts-dtr-off
    boolean if DTR/RTS should not be asserted. Defaults to false.

ttyb-rts-dtr-off
    likewise.

use-nvramrc?
    boolean, true if nvramrc script should be executed on bootup.

watchdog-reboot?
    boolean if watchdog reset should reboot the machine. Defaults to false.

BUGS
Changing of oem-logo is not supported yet.

AUTHOR
eeprom has been written by Jakub Jelinek <jakub@redhat.com>.

AVAILABILITY
eeprom is available for anonymous download at http://vger.samba.org/cgi-bin/cvsweb/prtconf/?cvsroot=vger.

SEE ALSO
/proc/openprom/, /dev/openprom, prtconf(8)